# yuck: ugly python stuff borrowed from rdiff-backup spec file.
%define PYTHON_NAME %((rpm -q --quiet python2 && echo python2) || echo python)
%define PYTHON_VERSION %(%{PYTHON_NAME} -c 'import sys; print sys.version[:3],')
%define NEXT_PYTHON_VERSION %(%{PYTHON_NAME} -c 'import sys; print "%d.%d" % (sys.version_info[0], sys.version_info[1]+1),')

Summary: OLPC update tools.
Name: olpc-update
Version: 2.17
Release: 1
License: GPL
Group: System Environment/Base
URL: http://dev.laptop.org/git?p=users/cscott/olpc-update
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: %{PYTHON_NAME} >= %{PYTHON_VERSION}, %{PYTHON_NAME} < %{NEXT_PYTHON_VERSION}, olpc-contents >= 1.8, NetworkManager >= 0.6.5
BuildPrereq: %{PYTHON_NAME}-devel >= 2.5
BuildArch: noarch
# Used to be named olpcupdate (no hyphen) due to epm limitations.
Provides: olpcupdate = 2:%{version}-%{release}
Obsoletes: olpcupdate < 2:2.13-1

%description
The olpc-update utilities handle the automatic or manual update
of system files on an XO laptop.

%prep
%setup

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/python2.5/site-packages/bitfrost/update
mkdir -p $RPM_BUILD_ROOT/usr/lib/python2.5/site-packages/bitfrost/leases
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
mkdir -p $RPM_BUILD_ROOT/etc/NetworkManager/dispatcher.d

%{__install} -m 644 bitfrost/update/{__init__.py,irsync.py,setup.py} $RPM_BUILD_ROOT/usr/lib/python2.5/site-packages/bitfrost/update/
%{__install} -m 644 leases/bitfrost/leases/{__init__.py,core.py,crypto.py,errors.py,keys.py} $RPM_BUILD_ROOT/usr/lib/python2.5/site-packages/bitfrost/leases/
%{__install} -m 755 olpc-update-query olpc-update $RPM_BUILD_ROOT/usr/sbin
%{__install} -m 755 irsync $RPM_BUILD_ROOT/usr/sbin/olpc-incr-rsync
%{__install} -m 644 crontab-entry $RPM_BUILD_ROOT/etc/cron.d/olpc-update-query
%{__install} -m 700 olpc-update-ifup $RPM_BUILD_ROOT/etc/NetworkManager/dispatcher.d/olpc-update-ifup

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING

/usr/lib/python2.5/site-packages/bitfrost
/usr/sbin/olpc-update-query
/usr/sbin/olpc-update
/usr/sbin/olpc-incr-rsync
/etc/cron.d/olpc-update-query
/etc/NetworkManager/dispatcher.d/olpc-update-ifup

%changelog
* Thu Aug 28 2008 C. Scott Ananian <cscott@laptop.org>
- Trac #8190: make irsync_pristine more likely to work even if avahi is
  overwriting /etc/localtime.

* Thu Aug 14 2008 C. Scott Ananian <cscott@laptop.org>
- Brown-bag fix: inhibit suspend even if you've already done so once before.

* Wed Aug 13 2008 C. Scott Ananian <cscott@laptop.org>
- Trac #7910: Use dbus interface to ohm to inhibit suspend during update.

* Tue Jul 29 2008 C. Scott Ananian <cscott@laptop.org>
- Rename package to olpc-update (from olpcupdate)

* Mon Jul 28 2008 C. Scott Ananian <cscott@laptop.org>
- New upstream 2.12, fixes dlo #4325.
- Also fixes olpc-update-query, which is broken in 2.10 and 2.11.

* Mon Jul 14 2008 C. Scott Ananian <cscott@laptop.org>
- New upstream 2.11, fixes dlo #7496, incorporates bitfrost.leases package.

* Thu Jun 26 2008 C. Scott Ananian <cscott@laptop.org>
- Build as a proper RPM against F9 dependencies.
